package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;



/**
 * 巡检计划信息对象 dms_plan_inspect
 *
 * @author Open Platform
 * @date 2024-01-17
 */

public class DmsPlanInspect extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long planInspectId;

    /** 计划编号 */
    @Excel(name = "计划编号")
    private String planInspectCode;

    /** 计划名称 */
    @Excel(name = "计划名称")
    private String planInspectName;
    private Long inspectLevel;

    /** 检查类型(1巡检,2点检) */
    @Excel(name = "检查类型(1巡检,2点检)")
    private String inspectType;

    /** 巡检线路ID，关联dm_base_inspect_route的inspect_route_id */
    @Excel(name = "巡检线路ID，关联dm_base_inspect_route的inspect_route_id")
    private Long inspectRouteId;

    /** 设备总数 */
    @Excel(name = "设备总数")
    private Long deviceAmount;

    /** 计划巡检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planTime;
    /** 时限*/
    @Excel(name ="时限")
    private Long timeLimit;
    /** 关联sysjob主键id */
    @Excel(name = "关联sysjob主键id")
    private Long jobId;

    /** 循环周期 */
    @Excel(name = "循环周期")
    private String cyclePeriod;

    /** 执行人员 */
    @Excel(name = "执行人员")
    private String performer;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    private String cronExpression;

    private Long timeLimitDays;

    private Long timeLimitHours;
    private String routeName;
    private Long hour;
    private Long week;
    private Long day;
    private Long month;
    private Long year;
    public Long getInspectLevel()
    {
        return inspectLevel;
    }
    public void setInspectLevel(Long inspectLevel)
    {
        this.inspectLevel = inspectLevel;
    }
    public Long getDay()
    {
        return day;
    }
    public void setDay(Long day)
    {
        this.day = day;
    }
    public Long getMonth()
    {
        return month;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }
    public Long getYear()
    {
        return year;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }
    public Long getHour()
    {
        return hour;
    }
    public void setHour(Long hour)
    {
        this.hour = hour;
    }
    public Long getWeek()
    {
        return week;
    }
    public void setWeek(Long week)
    {
        this.week = week;
    }
    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public String getRouteName() {
        return routeName;
    }


    public Long getTimeLimitDays() {
        return timeLimitDays;
    }

    public void setTimeLimitDays(Long timeLimitDays) {
        this.timeLimitDays = timeLimitDays;
    }

    public Long getTimeLimitHours() {
        return timeLimitHours;
    }

    public void setTimeLimitHours(Long timeLimitHours) {
        this.timeLimitHours = timeLimitHours;
    }

    public String getCronExpression() {
        return cronExpression;
    }


    public Long getTimeLimit() {
        return timeLimit;
    }

    public void setTimeLimit(Long timeLimit) {
        this.timeLimit = timeLimit;
    }

    public Long getJobId() {
        return jobId;
    }

    public void setJobId(Long jobId) {
        this.jobId = jobId;
    }

    public void setCronExpression(String cronExpression) {
        this.cronExpression = cronExpression;
    }

    public void setPlanInspectId(Long planInspectId)
    {
        this.planInspectId = planInspectId;
    }

    public Long getPlanInspectId()
    {
        return planInspectId;
    }
    public void setPlanInspectCode(String planInspectCode)
    {
        this.planInspectCode = planInspectCode;
    }

    public String getPlanInspectCode()
    {
        return planInspectCode;
    }
    public void setPlanInspectName(String planInspectName)
    {
        this.planInspectName = planInspectName;
    }

    public String getPlanInspectName()
    {
        return planInspectName;
    }
    public void setInspectType(String inspectType)
    {
        this.inspectType = inspectType;
    }

    public String getInspectType()
    {
        return inspectType;
    }
    public void setInspectRouteId(Long inspectRouteId)
    {
        this.inspectRouteId = inspectRouteId;
    }

    public Long getInspectRouteId()
    {
        return inspectRouteId;
    }
    public void setDeviceAmount(Long deviceAmount)
    {
        this.deviceAmount = deviceAmount;
    }

    public Long getDeviceAmount()
    {
        return deviceAmount;
    }
    public void setPlanTime(Date planTime)
    {
        this.planTime = planTime;
    }

    public Date getPlanTime()
    {
        return planTime;
    }
    public void setCyclePeriod(String cyclePeriod)
    {
        this.cyclePeriod = cyclePeriod;
    }

    public String getCyclePeriod()
    {
        return cyclePeriod;
    }
    public void setPerformer(String performer)
    {
        this.performer = performer;
    }

    public String getPerformer()
    {
        return performer;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return "DmsPlanInspect{" +
                "planInspectId=" + planInspectId +
                ", planInspectCode='" + planInspectCode + '\'' +
                ", planInspectName='" + planInspectName + '\'' +
                ", inspectType='" + inspectType + '\'' +
                ", inspectRouteId=" + inspectRouteId +
                ", deviceAmount=" + deviceAmount +
                ", planTime=" + planTime +
                ", timeLimit=" + timeLimit +
                ", jobId=" + jobId +
                ", cyclePeriod='" + cyclePeriod + '\'' +
                ", performer='" + performer + '\'' +
                ", isFlag='" + isFlag + '\'' +
                ", cronExpression='" + cronExpression + '\'' +
                '}';
    }
}
